import { Direction } from "@minecraft/server";
export var RedstoneEmitterType;
(function (RedstoneEmitterType) {
    RedstoneEmitterType[RedstoneEmitterType["Button"] = 0] = "Button";
})(RedstoneEmitterType || (RedstoneEmitterType = {}));
const redstoneBlocks = [
    'minecraft:dropper',
    'minecraft:dispenser'
];
class Redstone {
    constructor() { }
    //Returns true if redstone signal was emitted
    emitSignal(block, emitterType, emissionStrength = 15) {
        if (emissionStrength < 1 || emissionStrength > 15)
            throw Error(`${block.typeId}: Emission signal must have a strength in rage of 1-15.`);
        let blockToPower;
        if (emitterType === RedstoneEmitterType.Button)
            blockToPower = this.processButton(block);
        if (blockToPower) {
            this.powerRedstoneBlock(blockToPower);
            return true;
        }
        return false;
    }
    processButton(block) {
        const face = block.permutation.getState('minecraft:block_face');
        const direction = face.charAt(0).toUpperCase() + face.slice(1);
        const checkNeighbors = ((distance = 1) => {
            if (direction === Direction.East)
                return block.west(distance);
        });
        let targetBlock = checkNeighbors();
        if (targetBlock !== undefined && this.isRedstoneBlock(targetBlock.typeId)) {
            return targetBlock;
        }
        return undefined;
    }
    isRedstoneBlock(typeId) {
        if (redstoneBlocks.includes(typeId))
            return true;
        return false;
    }
    powerRedstoneBlock(block) {
        console.warn(`trying to power: ${block.typeId}`);
    }
    static create() {
        return new Redstone();
    }
}
class AfterEvents {
    constructor() {
        //this.SignalRecivedEvent = ExampleEventSignal.create();
    }
    //readonly SignalRecivedEvent: ExampleEventSignal;
    static create() {
        return new AfterEvents();
    }
}
export const redstone = Redstone.create();
