import { system, TicksPerSecond, world } from "@minecraft/server";
export class Button {
    constructor() {
        this.onPlayerInteract = this.onPlayerInteract.bind(this);
    }
    onPlayerInteract(event) {
        const pressed = event.block.permutation.getState('bf:button_pressed_bit');
        if (pressed)
            return;
        world.playSound('click_on.bamboo_wood_button', event.block, { pitch: 2 });
        event.block.setPermutation(event.block.permutation.withState('bf:button_pressed_bit', true));
        system.waitTicks(TicksPerSecond * 1.5).then(() => {
            world.playSound('click_off.bamboo_wood_button', event.block);
            event.block.setPermutation(event.block.permutation.withState('bf:button_pressed_bit', false));
        });
    }
}
Button.id = 'bf_rb:button';
