import { EquipmentSlot } from "@minecraft/server";
const CUSTOM_GRASS = [
    "Autumn Sprouts",
    "Tall Dead Grass",
    "Pine Reed",
    "Tall Snowy Grass",
    "Icy Grass",
    "Tall Sedge Grass",
    "Tall Pine Reed",
    "Tall Maple Grass",
    "Flowering Short Grass",
    "Tall Redwood Grass",
    "Short Prickly Fern",
    "Dried Grass",
    "Swamp Fern",
    "Tall Dried Grass",
    "Dead Grass",
    "Tall Mangnolia Grass",
    "Short Maple Grass",
    "Tall Prickly Fern",
    "Sedge Grass"
];
const FALLEN_LEAVES = [
    "Fallen Baobab Leaves",
    "Fallen Coconut Leaves",
    "Fallen Ginkgo Leaves",
    "Fallen Magnolia Leaves",
    "Fallen Maple Leaves",
    "Fallen Orange Leaves",
    "Fallen Pine Leaves",
    "Fallen Redwood Leaves",
    "Fallen Willow Leaves",
    "Fallen Wisteria Leaves",
    "Fallen Dead Leaves",
    "Fallen Ice Leaves"
];
const FALLEN_BRANCHES = [
    "Fallen Acacia Branch",
    "Fallen Bamboo Branch",
    "Fallen Black Bamboo Branch",
    "Fallen Baobab Branch",
    "Fallen Birch Branch",
    "Fallen Cherry Branch",
    "Fallen Crimson Branch",
    "Fallen Dark Oak Branch",
    "Fallen End Branch",
    "Fallen Ginkgo Branch",
    "Fallen Jungle Branch",
    "Fallen Magnolia Branch",
    "Fallen Mangrove Branch",
    "Fallen Maple Branch",
    "Fallen Oak Branch",
    "Fallen Orange Branch",
    "Fallen Orange Fruit Branch",
    "Fallen Pine Branch",
    "Fallen Redwood Branch",
    "Fallen Spruce Branch",
    "Fallen Warped Branch",
    "Fallen Willow Branch",
    "Fallen Wisteria Branch",
    "Fallen Dead Branch",
    "Fallen Ice Branch"
];
const CUSTOM_PLANTS = [
    "Asparagus Fern",
    "Blue Hydrangeas",
    "Cattail",
    "Clover",
    "Donkey Cup",
    "Dumbcane",
    "Ethereal Flower",
    "Fiddle Plant",
    "Flowering Lilypad",
    "Helonias",
    "Kniphofia",
    "Lupine",
    "Milk Cup",
    "Money Tree",
    "Monstera",
    "Orange Hydrangeas",
    "Pink Hydrangeas",
    "Purple End Canna",
    "Purple End Dracaena",
    "Purple End Strelitzia",
    "Purple Hydrangeas",
    "Sickle Plant",
    "Venus Flytrap",
    "Yellow End Bolb Plant",
    "Yellow End Glow Plant",
    "Yellow End Glowspike",
    "Yellow Endeye Plant",
    "Yellow Luminescent Plant"
];
const CUSTOM_END_STONES = [
    "bf_rb:purple_growth_end_stone",
    "bf_rb:yellow_growth_end_stone"
];
const CUSTOM_GRASS_BLOCKS = [
    "bf_rb:redwood_podzol",
    "bf_rb:yellow_grass",
    "bf_rb:wisteria_grass",
    "bf_rb:red_grass",
    "bf_rb:pine_grass",
    "bf_rb:magnolia_grass",
    "bf_rb:orangetree_grass",
    "bf_rb:lush_grass",
    "bf_rb:snowy_pine_grass",
    "bf_rb:ice_grass_block"
];
export class X4Component {
    constructor() {
        this.onPlayerDestroy = this.onPlayerDestroy.bind(this);
    }
    onPlayerDestroy(event) {
        const { player, dimension } = event;
        const { destroyedBlockPermutation: perm } = event;
        if (!player || !player.getComponent('equippable')) {
            return;
        }
        const slabItem = perm.getItemStack(1);
        if (slabItem) {
            dimension.spawnItem(slabItem, event.block.location);
        }
    }
}
X4Component.id = 'bf_rb:unknown';
export class OnDestoryShearGrassComponent {
    constructor() {
        this.onPlayerDestroy = this.onPlayerDestroy.bind(this);
    }
    onPlayerDestroy(event) {
        const { block, dimension, player } = event;
        if (!player)
            return;
        const equippable = player.getComponent('equippable');
        if (!equippable)
            return;
        const selectedItem = equippable.getEquipment(EquipmentSlot.Mainhand);
        let hasShears = false;
        let hasSilkTouch = false;
        if (!selectedItem)
            return;
        const enchantmentComponent = selectedItem.getComponent('enchantable');
        if (selectedItem && selectedItem.typeId === "minecraft:shears") {
            hasShears = true;
        }
        else if (enchantmentComponent && selectedItem && enchantmentComponent.hasEnchantment('silk_touch')) {
            hasSilkTouch = true;
        }
        if (!hasShears && !hasSilkTouch) {
            for (let i = 0; i < CUSTOM_GRASS.length; i++) {
                dimension.runCommandAsync(`kill @e[x=${block.location.x},y=${block.location.y},z=${block.location.z},r=2,c=1,type=item,name="${CUSTOM_GRASS[i]}"]`);
            }
            let randomNum = Math.floor(Math.random() * 5);
            if (randomNum == 1) {
                player.runCommand(`loot spawn ${block.location.x} ${block.location.y} ${block.location.z} loot \"bf/rb/items/custom_grass\"`);
            }
        }
    }
}
OnDestoryShearGrassComponent.id = 'bf_rb:on_destroy_shears_custom_grass';
export class OnDestoryShearFallenLeavesComponent {
    constructor() {
        this.onPlayerDestroy = this.onPlayerDestroy.bind(this);
    }
    onPlayerDestroy(event) {
        const { block, player, destroyedBlockPermutation, dimension } = event;
        if (!player)
            return;
        const equipment = player.getComponent('equippable');
        if (!equipment)
            return;
        const selectedItem = equipment.getEquipment(EquipmentSlot.Mainhand);
        let hasShears = false;
        let hasSilkTouch = false;
        let lootName = destroyedBlockPermutation.type.id.replace("bf_rb:", "");
        if (!selectedItem)
            return;
        const enchantmentComponent = selectedItem.getComponent('enchantable');
        if (selectedItem && selectedItem.typeId === "minecraft:shears") {
            hasShears = true;
        }
        else if (enchantmentComponent && selectedItem && enchantmentComponent.hasEnchantment('silk_touch')) {
            hasSilkTouch = true;
        }
        if (!hasShears && !hasSilkTouch) {
            for (let i = 0; i < FALLEN_LEAVES.length; i++) {
                dimension.runCommandAsync(`kill @e[x=${block.location.x},y=${block.location.y},z=${block.location.z},r=2,c=1,type=item,name="${FALLEN_LEAVES[i]}"]`);
            }
            player.runCommand(`loot spawn ${block.location.x} ${block.location.y} ${block.location.z} loot \"bf/rb/items/fallen_leaves/${lootName}\"`);
        }
    }
}
OnDestoryShearFallenLeavesComponent.id = 'bf_rb:on_destroy_shears_fallen_leaves';
export class OnDestoryShearFallenBrancesComponent {
    constructor() {
        this.onPlayerDestroy = this.onPlayerDestroy.bind(this);
    }
    onPlayerDestroy(event) {
        const { block, player, destroyedBlockPermutation, dimension } = event;
        if (!player)
            return;
        const equipment = player.getComponent('equippable');
        if (!equipment)
            return;
        const selectedItem = equipment.getEquipment(EquipmentSlot.Mainhand);
        let hasShears = false;
        let hasSilkTouch = false;
        let lootName = destroyedBlockPermutation.type.id.replace("bf_rb:", "");
        if (!selectedItem)
            return;
        const enchantmentComponent = selectedItem.getComponent('enchantable');
        if (selectedItem && selectedItem.typeId === "minecraft:shears") {
            hasShears = true;
        }
        else if (enchantmentComponent && selectedItem && enchantmentComponent.hasEnchantment('silk_touch')) {
            hasSilkTouch = true;
        }
        if (!hasShears && !hasSilkTouch) {
            for (let i = 0; i < FALLEN_BRANCHES.length; i++) {
                dimension.runCommandAsync(`kill @e[x=${block.location.x},y=${block.location.y},z=${block.location.z},r=2,c=1,type=item,name="${FALLEN_BRANCHES[i]}"]`);
            }
            player.runCommand(`loot spawn ${block.location.x} ${block.location.y} ${block.location.z} loot \"bf/rb/items/fallen_branches/${lootName}\"`);
        }
    }
}
OnDestoryShearFallenBrancesComponent.id = 'bf_rb:on_destroy_shears_fallen_branches';
export class OnDestoryShearPlantsComponent {
    constructor() {
        this.onPlayerDestroy = this.onPlayerDestroy.bind(this);
    }
    onPlayerDestroy(event) {
        const { block, player, dimension } = event;
        if (!player)
            return;
        const equipment = player.getComponent('equippable');
        if (!equipment)
            return;
        const selectedItem = equipment.getEquipment(EquipmentSlot.Mainhand);
        let hasShears = false;
        let hasSilkTouch = false;
        if (!selectedItem)
            return;
        const enchantmentComponent = selectedItem.getComponent('enchantable');
        if (selectedItem && selectedItem.typeId === "minecraft:shears") {
            hasShears = true;
        }
        else if (enchantmentComponent && selectedItem && enchantmentComponent.hasEnchantment('silk_touch')) {
            hasSilkTouch = true;
        }
        if (!hasShears && !hasSilkTouch) {
            for (let i = 0; i < CUSTOM_PLANTS.length; i++) {
                dimension.runCommandAsync(`kill @e[x=${block.location.x},y=${block.location.y},z=${block.location.z},r=2,c=1,type=item,name="${CUSTOM_PLANTS[i]}"]`);
            }
            player.runCommand(`loot spawn ${block.location.x} ${block.location.y} ${block.location.z} loot \"bf/rb/items/custom_plants\"`);
        }
    }
}
OnDestoryShearPlantsComponent.id = 'bf_rb:on_destroy_shears_plants';
export class OnDestoryBerryComponent {
    constructor() {
        this.onPlayerDestroy = this.onPlayerDestroy.bind(this);
    }
    onPlayerDestroy(event) {
        const { block, dimension } = event;
        dimension.runCommandAsync(`kill @e[x=${block.location.x},y=${block.location.y},z=${block.location.z},r=2,c=1,type=item,name="Blueberry Bush"]`);
        dimension.runCommandAsync(`kill @e[x=${block.location.x},y=${block.location.y},z=${block.location.z},r=2,c=1,type=item,name="Blackberry Bush"]`);
        dimension.runCommand(`loot spawn ${block.location.x} ${block.location.y} ${block.location.z} loot \"bf/rb/items/${block.permutation.type.id.split(":")[1].split("_")[0]}\"`);
    }
}
OnDestoryBerryComponent.id = 'bf_rb:on_player_destroy_berry';
export class OnPlayerDestoryUngrownComponent {
    constructor() {
        this.onPlayerDestroy = this.onPlayerDestroy.bind(this);
    }
    onPlayerDestroy(event) {
        const { block, dimension } = event;
        dimension.runCommandAsync(`kill @e[x=${block.location.x},y=${block.location.y},z=${block.location.z},r=2,c=1,type=item,name="Blueberry Bush"]`);
        dimension.runCommandAsync(`kill @e[x=${block.location.x},y=${block.location.y},z=${block.location.z},r=2,c=1,type=item,name="Blackberry Bush"]`);
    }
}
OnPlayerDestoryUngrownComponent.id = 'bf_rb:on_player_destroy_ungrown';
