import { world } from "@minecraft/server";
import { SoundDefinition } from "../global";
export class DoorComponent {
    constructor() {
        this.onPlace = this.onPlace.bind(this);
        this.onPlayerInteract = this.onPlayerInteract.bind(this);
        this.onPlayerDestroy = this.onPlayerDestroy.bind(this);
    }
    onPlace(event) {
        const isUpperBlock = event.block.permutation.getState('bf:upper_block_bit');
        if (isUpperBlock === true)
            return;
        const aboveBlock = event.block.above();
        if (!aboveBlock)
            return;
        let permutation = event.block.permutation;
        permutation = permutation.withState('bf:upper_block_bit', true);
        aboveBlock.setPermutation(permutation);
    }
    onPlayerInteract(event) {
        const isUpperBlock = event.block.permutation.getState('bf:upper_block_bit');
        let otherBlock = undefined;
        if (isUpperBlock === true)
            otherBlock = event.block.below();
        else
            otherBlock = event.block.above();
        const openBit = event.block.permutation.getState('bf:open_bit');
        let soundId = SoundDefinition.DoorOpen;
        if (openBit)
            soundId = SoundDefinition.DoorClose;
        event.block.setPermutation(event.block.permutation.withState('bf:open_bit', !openBit));
        if (otherBlock)
            otherBlock.setPermutation(otherBlock.permutation.withState('bf:open_bit', !openBit));
        world.playSound(soundId, event.block.location);
    }
    onPlayerDestroy(event) {
        const permutation = event.destroyedBlockPermutation;
        const isUpperBlock = permutation.getState('bf:upper_block_bit');
        let otherBlock = undefined;
        if (isUpperBlock === true)
            otherBlock = event.block.below();
        else
            otherBlock = event.block.above();
        if (otherBlock)
            otherBlock.setType('minecraft:air');
    }
}
DoorComponent.id = 'bf_rb:door';
