import { BlockPermutation, EquipmentSlot, world } from "@minecraft/server";
export class OnInteractGrowComponent {
    constructor() {
        this.onPlayerInteract = this.onPlayerInteract.bind(this);
    }
    onPlayerInteract(event) {
        const { block, player } = event;
        const equipment = player?.getComponent('equippable');
        if (!equipment)
            return;
        const selectedItem = equipment.getEquipment(EquipmentSlot.Mainhand);
        if (selectedItem?.typeId === "minecraft:bone_meal") {
            if (block.permutation.getState('bf_rb:times_interacted') == 2) {
                if (player?.getGameMode() !== "creative") {
                    if (selectedItem.amount > 1) {
                        selectedItem.amount -= 1;
                        equipment.setEquipment(EquipmentSlot.Mainhand, selectedItem);
                    }
                    else if (selectedItem.amount === 1) {
                        equipment.setEquipment(EquipmentSlot.Mainhand, undefined);
                    }
                }
                world.getDimension('overworld').runCommand(`particle minecraft:crop_growth_emitter ${block.location.x} ${block.location.y} ${block.location.z}`);
                world.getDimension('the_end').runCommand(`particle minecraft:crop_growth_emitter ${block.location.x} ${block.location.y} ${block.location.z}`);
                if (block.typeId.includes("baobab")) {
                    let randomNum = Math.floor(Math.random() * 5);
                    if (randomNum == 0) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/baobab/baobab_1\" ${block.location.x - 6} ${block.location.y - 1} ${block.location.z - 7}`);
                    }
                    if (randomNum == 1) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/baobab/baobab_2\" ${block.location.x - 7} ${block.location.y - 1} ${block.location.z - 8}`);
                    }
                    if (randomNum == 2) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/baobab/baobab_3\" ${block.location.x - 8} ${block.location.y - 1} ${block.location.z - 8}`);
                    }
                    if (randomNum == 3) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/baobab/baobab_4\" ${block.location.x - 8} ${block.location.y - 1} ${block.location.z - 8}`);
                    }
                    if (randomNum == 4) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/baobab/baobab_5\" ${block.location.x - 5} ${block.location.y - 1} ${block.location.z - 6}`);
                    }
                }
                if (block.typeId.includes("coconut")) {
                    let randomNum = Math.floor(Math.random() * 5);
                    if (randomNum == 0) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/coconut/coconut_1\" ${block.location.x - 6} ${block.location.y} ${block.location.z - 7}`);
                    }
                    if (randomNum == 1) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/coconut/coconut_2\" ${block.location.x - 4} ${block.location.y} ${block.location.z - 6}`);
                    }
                    if (randomNum == 2) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/coconut/coconut_3\" ${block.location.x - 2} ${block.location.y} ${block.location.z - 4}`);
                    }
                    if (randomNum == 3) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/coconut/coconut_4\" ${block.location.x - 4} ${block.location.y} ${block.location.z - 6}`);
                    }
                    if (randomNum == 4) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/coconut/coconut_5\" ${block.location.x - 5} ${block.location.y} ${block.location.z - 6}`);
                    }
                }
                if (block.typeId.includes("ginkgo")) {
                    let randomNum = Math.floor(Math.random() * 5);
                    if (randomNum == 0) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/ginkgo/ginkgo_1\" ${block.location.x - 7} ${block.location.y} ${block.location.z - 6}`);
                    }
                    if (randomNum == 1) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/ginkgo/ginkgo_2\" ${block.location.x - 6} ${block.location.y} ${block.location.z - 5}`);
                    }
                    if (randomNum == 2) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/ginkgo/ginkgo_3\" ${block.location.x - 6} ${block.location.y} ${block.location.z - 6}`);
                    }
                    if (randomNum == 3) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/ginkgo/ginkgo_4\" ${block.location.x - 7} ${block.location.y} ${block.location.z - 6}`);
                    }
                    if (randomNum == 4) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/ginkgo/ginkgo_5\" ${block.location.x - 4} ${block.location.y} ${block.location.z - 5}`);
                    }
                }
                if (block.typeId.includes("magnolia")) {
                    let randomNum = Math.floor(Math.random() * 6);
                    if (randomNum == 0) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/magnolia/magnolia_1\" ${block.location.x - 4} ${block.location.y} ${block.location.z - 5}`);
                    }
                    if (randomNum == 1) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/magnolia/magnolia_2\" ${block.location.x - 6} ${block.location.y} ${block.location.z - 6}`);
                    }
                    if (randomNum == 2) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/magnolia/magnolia_3\" ${block.location.x - 6} ${block.location.y} ${block.location.z - 6}`);
                    }
                    if (randomNum == 3) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/magnolia/magnolia_4\" ${block.location.x - 6} ${block.location.y} ${block.location.z - 6}`);
                    }
                    if (randomNum == 4) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/magnolia/magnolia_5\" ${block.location.x - 6} ${block.location.y} ${block.location.z - 8}`);
                    }
                    if (randomNum == 5) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/magnolia/magnolia_6\" ${block.location.x - 6} ${block.location.y} ${block.location.z - 7}`);
                    }
                }
                if (block.typeId.includes("maple")) {
                    let randomNum = Math.floor(Math.random() * 5);
                    if (randomNum == 0) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/maple/maple_1\" ${block.location.x - 5} ${block.location.y} ${block.location.z - 5}`);
                    }
                    if (randomNum == 1) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/maple/maple_2\" ${block.location.x - 5} ${block.location.y} ${block.location.z - 5}`);
                    }
                    if (randomNum == 2) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/maple/maple_3\" ${block.location.x - 6} ${block.location.y} ${block.location.z - 5}`);
                    }
                    if (randomNum == 3) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/maple/maple_4\" ${block.location.x - 4} ${block.location.y} ${block.location.z - 6}`);
                    }
                    if (randomNum == 4) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/maple/maple_5\" ${block.location.x - 5} ${block.location.y} ${block.location.z - 5}`);
                    }
                }
                if (block.typeId.includes("orange")) {
                    let randomNum = Math.floor(Math.random() * 4);
                    if (randomNum == 0) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/orange/orange_1\" ${block.location.x - 4} ${block.location.y} ${block.location.z - 5}`);
                    }
                    if (randomNum == 1) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/orange/orange_2\" ${block.location.x - 4} ${block.location.y} ${block.location.z - 5}`);
                    }
                    if (randomNum == 2) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/orange/orange_3\" ${block.location.x - 5} ${block.location.y} ${block.location.z - 4}`);
                    }
                    if (randomNum == 3) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/orange/orange_4\" ${block.location.x - 4} ${block.location.y} ${block.location.z - 4}`);
                    }
                }
                if (block.typeId.includes("pine")) {
                    let randomNum = Math.floor(Math.random() * 6);
                    if (randomNum == 0) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/pine/pine_1\" ${block.location.x - 4} ${block.location.y} ${block.location.z - 4}`);
                    }
                    if (randomNum == 1) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/pine/pine_2\" ${block.location.x - 5} ${block.location.y} ${block.location.z - 4}`);
                    }
                    if (randomNum == 2) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/pine/pine_3\" ${block.location.x - 5} ${block.location.y} ${block.location.z - 4}`);
                    }
                    if (randomNum == 3) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/pine/pine_4\" ${block.location.x - 5} ${block.location.y} ${block.location.z - 5}`);
                    }
                    if (randomNum == 4) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/pine/pine_5\" ${block.location.x - 5} ${block.location.y} ${block.location.z - 5}`);
                    }
                    if (randomNum == 5) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/pine/pine_6\" ${block.location.x - 5} ${block.location.y} ${block.location.z - 5}`);
                    }
                }
                if (block.typeId.includes("redwood")) {
                    let randomNum = Math.floor(Math.random() * 5);
                    if (randomNum == 0) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/redwood/redwood_1\" ${block.location.x - 4} ${block.location.y} ${block.location.z - 5}`);
                    }
                    if (randomNum == 1) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/redwood/redwood_2\" ${block.location.x - 5} ${block.location.y} ${block.location.z - 5}`);
                    }
                    if (randomNum == 2) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/redwood/redwood_3\" ${block.location.x - 5} ${block.location.y} ${block.location.z - 5}`);
                    }
                    if (randomNum == 3) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/redwood/redwood_4\" ${block.location.x - 5} ${block.location.y} ${block.location.z - 4}`);
                    }
                    if (randomNum == 4) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/redwood/redwood_5\" ${block.location.x - 5} ${block.location.y} ${block.location.z - 5}`);
                    }
                }
                if (block.typeId.includes("willow")) {
                    let randomNum = Math.floor(Math.random() * 5);
                    if (randomNum == 0) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/willow/willow_1\" ${block.location.x - 6} ${block.location.y} ${block.location.z - 5}`);
                    }
                    if (randomNum == 1) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/willow/willow_2\" ${block.location.x - 6} ${block.location.y} ${block.location.z - 6}`);
                    }
                    if (randomNum == 2) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/willow/willow_3\" ${block.location.x - 6} ${block.location.y} ${block.location.z - 7}`);
                    }
                    if (randomNum == 3) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/willow/willow_4\" ${block.location.x - 5} ${block.location.y} ${block.location.z - 6}`);
                    }
                    if (randomNum == 4) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/willow/willow_5\" ${block.location.x - 6} ${block.location.y} ${block.location.z - 8}`);
                    }
                }
                if (block.typeId.includes("wisteria")) {
                    let randomNum = Math.floor(Math.random() * 4);
                    if (randomNum == 0) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/wisteria/wisteria_1\" ${block.location.x - 5} ${block.location.y} ${block.location.z - 5}`);
                    }
                    if (randomNum == 1) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/wisteria/wisteria_2\" ${block.location.x - 5} ${block.location.y} ${block.location.z - 6}`);
                    }
                    if (randomNum == 2) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/wisteria/wisteria_3\" ${block.location.x - 5} ${block.location.y} ${block.location.z - 6}`);
                    }
                    if (randomNum == 3) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/wisteria/wisteria_4\" ${block.location.x - 5} ${block.location.y} ${block.location.z - 5}`);
                    }
                }
                if (block.typeId.includes("black_bamboo")) {
                    let randomNum = Math.floor(Math.random() * 11);
                    if (randomNum == 0) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/black_bamboo/black_bamboo_h6\" ${block.location.x} ${block.location.y} ${block.location.z}`);
                    }
                    if (randomNum == 1) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/black_bamboo/black_bamboo_h7\" ${block.location.x} ${block.location.y} ${block.location.z}`);
                    }
                    if (randomNum == 2) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/black_bamboo/black_bamboo_h8\" ${block.location.x} ${block.location.y} ${block.location.z}`);
                    }
                    if (randomNum == 3) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/black_bamboo/black_bamboo_h9\" ${block.location.x} ${block.location.y} ${block.location.z}`);
                    }
                    if (randomNum == 4) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/black_bamboo/black_bamboo_h10\" ${block.location.x} ${block.location.y} ${block.location.z}`);
                    }
                    if (randomNum == 5) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/black_bamboo/black_bamboo_h11\" ${block.location.x} ${block.location.y} ${block.location.z}`);
                    }
                    if (randomNum == 6) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/black_bamboo/black_bamboo_h12\" ${block.location.x} ${block.location.y} ${block.location.z}`);
                    }
                    if (randomNum == 7) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/black_bamboo/black_bamboo_h13\" ${block.location.x} ${block.location.y} ${block.location.z}`);
                    }
                    if (randomNum == 8) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/black_bamboo/black_bamboo_h14\" ${block.location.x} ${block.location.y} ${block.location.z}`);
                    }
                    if (randomNum == 9) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/black_bamboo/black_bamboo_h15\" ${block.location.x} ${block.location.y} ${block.location.z}`);
                    }
                    if (randomNum == 10) {
                        world.getDimension('overworld').runCommand(`structure load \"bf_rb/t/black_bamboo/black_bamboo_h16\" ${block.location.x} ${block.location.y} ${block.location.z}`);
                    }
                }
                if (block.typeId.includes("purple_end")) {
                    let randomNum = Math.floor(Math.random() * 5);
                    if (randomNum == 0) {
                        world.getDimension('the_end').runCommand(`structure load \"bf_rb/t/purple_end/purple_end_1\" ${block.location.x - 5} ${block.location.y} ${block.location.z - 2}`);
                    }
                    if (randomNum == 1) {
                        world.getDimension('the_end').runCommand(`structure load \"bf_rb/t/purple_end/purple_end_2\" ${block.location.x - 6} ${block.location.y} ${block.location.z - 3}`);
                    }
                    if (randomNum == 2) {
                        world.getDimension('the_end').runCommand(`structure load \"bf_rb/t/purple_end/purple_end_3\" ${block.location.x - 6} ${block.location.y} ${block.location.z - 8}`);
                    }
                    if (randomNum == 3) {
                        world.getDimension('the_end').runCommand(`structure load \"bf_rb/t/purple_end/purple_end_4\" ${block.location.x - 8} ${block.location.y} ${block.location.z - 6}`);
                    }
                    if (randomNum == 4) {
                        world.getDimension('the_end').runCommand(`structure load \"bf_rb/t/purple_end/purple_end_5\" ${block.location.x - 13} ${block.location.y} ${block.location.z - 2}`);
                    }
                }
                if (block.typeId.includes("yellow_end")) {
                    let randomNum = Math.floor(Math.random() * 4);
                    if (randomNum == 0) {
                        world.getDimension('the_end').runCommand(`structure load \"bf_rb/t/yellow_end/yellow_end_1\" ${block.location.x - 11} ${block.location.y} ${block.location.z - 5}`);
                    }
                    if (randomNum == 1) {
                        world.getDimension('the_end').runCommand(`structure load \"bf_rb/t/yellow_end/yellow_end_2\" ${block.location.x - 6} ${block.location.y} ${block.location.z - 4}`);
                    }
                    if (randomNum == 2) {
                        world.getDimension('the_end').runCommand(`structure load \"bf_rb/t/yellow_end/yellow_end_3\" ${block.location.x - 6} ${block.location.y} ${block.location.z - 3}`);
                    }
                    if (randomNum == 3) {
                        world.getDimension('the_end').runCommand(`structure load \"bf_rb/t/yellow_end/yellow_end_4\" ${block.location.x - 6} ${block.location.y} ${block.location.z - 2}`);
                    }
                }
            }
            else if (block.permutation.getState('bf_rb:times_interacted') == 1) {
                if (player?.getGameMode() !== "creative") {
                    if (selectedItem.amount > 1) {
                        selectedItem.amount -= 1;
                        equipment?.setEquipment(EquipmentSlot.Mainhand, selectedItem);
                    }
                    else if (selectedItem.amount === 1) {
                        equipment?.setEquipment(EquipmentSlot.Mainhand, undefined);
                    }
                }
                world.getDimension('overworld').runCommand(`particle minecraft:crop_growth_emitter ${block.location.x} ${block.location.y} ${block.location.z}`);
                block.setPermutation(BlockPermutation?.resolve(block.typeId, { 'bf_rb:times_interacted': 2 }));
            }
            else if (block.permutation.getState('bf_rb:times_interacted') == 0) {
                if (player?.getGameMode() !== "creative") {
                    if (selectedItem.amount > 1) {
                        selectedItem.amount -= 1;
                        equipment.setEquipment(EquipmentSlot.Mainhand, selectedItem);
                    }
                    else if (selectedItem.amount === 1) {
                        equipment.setEquipment(EquipmentSlot.Mainhand, undefined);
                    }
                }
                world.getDimension('overworld').runCommand(`particle minecraft:crop_growth_emitter ${block.location.x} ${block.location.y} ${block.location.z}`);
                block.setPermutation(BlockPermutation.resolve(block.typeId, { 'bf_rb:times_interacted': 1 }));
            }
        }
    }
}
OnInteractGrowComponent.id = 'bf_rb:on_interact_grow';
export class OnInteractFallingLeavesComponent {
    constructor() {
        this.onPlayerInteract = this.onPlayerInteract.bind(this);
    }
    onPlayerInteract(event) {
        const { block, player } = event;
        const equipment = player?.getComponent('equippable');
        const selectedItem = equipment?.getEquipment(EquipmentSlot.Mainhand);
        const currentStates = block.permutation.getAllStates();
        const cardinalDirection = currentStates['minecraft:cardinal_direction'];
        if (selectedItem?.typeId === block.typeId) {
            if (block.permutation.getState('bf_rb:times_interacted') == 2) {
                if (player?.getGameMode() !== "creative") {
                    if (selectedItem.amount > 1) {
                        selectedItem.amount -= 1;
                        equipment?.setEquipment(EquipmentSlot.Mainhand, selectedItem);
                    }
                    else if (selectedItem.amount === 1) {
                        equipment?.setEquipment(EquipmentSlot.Mainhand, undefined);
                    }
                }
                block.setPermutation(BlockPermutation.resolve(block.typeId, { 'bf_rb:times_interacted': 3, 'minecraft:cardinal_direction': cardinalDirection }));
            }
            else if (block.permutation.getState('bf_rb:times_interacted') == 1) {
                if (player?.getGameMode() !== "creative") {
                    if (selectedItem.amount > 1) {
                        selectedItem.amount -= 1;
                        equipment?.setEquipment(EquipmentSlot.Mainhand, selectedItem);
                    }
                    else if (selectedItem.amount === 1) {
                        equipment?.setEquipment(EquipmentSlot.Mainhand, undefined);
                    }
                }
                block.setPermutation(BlockPermutation.resolve(block.typeId, { 'bf_rb:times_interacted': 2, 'minecraft:cardinal_direction': cardinalDirection }));
            }
            else if (block.permutation.getState('bf_rb:times_interacted') == 0) {
                if (player?.getGameMode() !== "creative") {
                    if (selectedItem.amount > 1) {
                        selectedItem.amount -= 1;
                        equipment?.setEquipment(EquipmentSlot.Mainhand, selectedItem);
                    }
                    else if (selectedItem.amount === 1) {
                        equipment?.setEquipment(EquipmentSlot.Mainhand, undefined);
                    }
                }
                block.setPermutation(BlockPermutation.resolve(block.typeId, { 'bf_rb:times_interacted': 1, 'minecraft:cardinal_direction': cardinalDirection }));
            }
        }
    }
}
OnInteractFallingLeavesComponent.id = 'bf_rb:on_interact_fallen_leaves';
export class OnGrowBerryComponent {
    constructor() {
        this.onPlayerInteract = this.onPlayerInteract.bind(this);
    }
    onPlayerInteract(event) {
        const { block, player } = event;
        const equipment = player?.getComponent('equippable');
        const selectedItem = equipment?.getEquipment(EquipmentSlot.Mainhand);
        if (selectedItem?.typeId === "minecraft:bone_meal") {
            if (player?.getGameMode() !== "creative") {
                if (selectedItem.amount > 1) {
                    selectedItem.amount -= 1;
                    equipment?.setEquipment(EquipmentSlot.Mainhand, selectedItem);
                }
                else if (selectedItem.amount === 1) {
                    equipment?.setEquipment(EquipmentSlot.Mainhand, undefined);
                }
            }
            world.getDimension('overworld').runCommand(`particle minecraft:crop_growth_emitter ${block.location.x} ${block.location.y + 0.5} ${block.location.z}`);
            if (block.typeId.includes("stage2")) {
                block.setPermutation(BlockPermutation.resolve(`bf_rb:${block.permutation.type.id.split(":")[1].split("_")[0]}_stage3`));
            }
            if (block.typeId.includes("stage1")) {
                block.setPermutation(BlockPermutation.resolve(`bf_rb:${block.permutation.type.id.split(":")[1].split("_")[0]}_stage2`));
            }
            if (block.typeId.includes("stage0")) {
                block.setPermutation(BlockPermutation.resolve(`bf_rb:${block.permutation.type.id.split(":")[1].split("_")[0]}_stage1`));
            }
        }
    }
}
OnGrowBerryComponent.id = 'bf_rb:on_interact_grow_berry';
export class OnHarvestComponent {
    constructor() {
        this.onPlayerInteract = this.onPlayerInteract.bind(this);
    }
    onPlayerInteract(event) {
        const { block } = event;
        if (block.typeId.includes("blueberry")) {
            block.setPermutation(BlockPermutation.resolve(`bf_rb:blueberry_stage0`));
            world.getDimension('overworld').runCommand(`loot spawn ${block.location.x} ${block.location.y} ${block.location.z} loot \"bf/rb/items/blueberry\"`);
        }
        if (block.typeId.includes("blackberry")) {
            block.setPermutation(BlockPermutation.resolve(`bf_rb:blackberry_stage0`));
            world.getDimension('overworld').runCommand(`loot spawn ${block.location.x} ${block.location.y} ${block.location.z} loot \"bf/rb/items/blackberry\"`);
        }
    }
}
OnHarvestComponent.id = 'bf_rb:on_interact_harvest';
