import { EquipmentSlot, ItemComponentTypes, ItemStack, world } from "@minecraft/server";
export class DurabilityComponent {
    constructor() {
        this.onMineBlock = this.onMineBlock.bind(this);
        this.onUse = this.onUse.bind(this);
    }
    onMineBlock(event) {
        if (!event.itemStack || !event.source)
            return;
        const durability = this.getDurabilityComponent(event.itemStack);
        const equipment = this.getEqupmentComponent(event.source);
        if (durability && durability.damage < durability.maxDurability) {
            durability.damage++;
            equipment.setEquipment(EquipmentSlot.Mainhand, event.itemStack);
        }
        if (durability && durability.damage >= durability.maxDurability) {
            world.playSound('random.break', event.source.location);
            equipment.setEquipment(EquipmentSlot.Mainhand, new ItemStack('minecraft:air', 1));
        }
    }
    onUse(event) {
        if (!event.itemStack || !event.source)
            return;
        const durability = this.getDurabilityComponent(event.itemStack);
        const equipment = this.getEqupmentComponent(event.source);
        if (event.itemStack.typeId.includes('hoe') || event.itemStack.typeId.includes('_axe') || event.itemStack.typeId.includes('shovel')) {
            if (durability && durability.damage < durability.maxDurability) {
                durability.damage++;
                equipment.setEquipment(EquipmentSlot.Mainhand, event.itemStack);
            }
            if (durability && durability.damage >= durability.maxDurability) {
                world.playSound('random.break', event.source.location);
                equipment.setEquipment(EquipmentSlot.Mainhand, new ItemStack('minecraft:air', 1));
            }
        }
    }
    getDurabilityComponent(itemStack) {
        return itemStack.getComponent(ItemComponentTypes.Durability);
    }
    getEqupmentComponent(source) {
        return source.getComponent('equippable');
    }
}
DurabilityComponent.id = 'bf_rb:item_durability';
