import { world } from "@minecraft/server";
export class PressurePlate {
    constructor() {
        this.onTick = this.onTick.bind(this);
    }
    onTick(event) {
        const entity = event.dimension.getEntities({ location: event.block.location, maxDistance: 1, minDistance: 0 })[0];
        const pressed = event.block.permutation.getState('bf:pressed_bit');
        if (!pressed && entity) {
            world.playSound('click_on.wooden_pressure_plate', event.block);
            event.block.setPermutation(event.block.permutation.withState('bf:pressed_bit', true));
        }
        if (pressed && !entity) {
            world.playSound('click_off.wooden_pressure_plate', event.block);
            event.block.setPermutation(event.block.permutation.withState('bf:pressed_bit', false));
        }
    }
}
PressurePlate.id = 'bf_rb:pressure_plate';
