import { BlockPermutation, system, world } from "@minecraft/server";
import { Vector3 } from "../_lib/vector";
export class OnTickGrowComponent {
    constructor() {
        this.onTick = this.onTick.bind(this);
    }
    onTick(event) {
        const { block } = event;
        const growImmediately = block.permutation.getState('bf_rb:grow_immediately');
        if (growImmediately || (system.currentTick % 36000 <= 5)) {
            const blockTypeId = block.typeId;
            if (blockTypeId.includes("baobab")) {
                let randomNum = Math.floor(Math.random() * 5);
                if (randomNum == 0) {
                    const structure = world.structureManager.get('bf_rb/t/baobab/baobab_1');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 6, block.location.y - 1, block.location.z - 7));
                }
                if (randomNum == 1) {
                    const structure = world.structureManager.get('bf_rb/t/baobab/baobab_2');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 7, block.location.y - 1, block.location.z - 8));
                }
                if (randomNum == 2) {
                    const structure = world.structureManager.get('bf_rb/t/baobab/baobab_3');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 8, block.location.y - 1, block.location.z - 8));
                }
                if (randomNum == 3) {
                    const structure = world.structureManager.get('bf_rb/t/baobab/baobab_4');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 8, block.location.y - 1, block.location.z - 8));
                }
                if (randomNum == 4) {
                    const structure = world.structureManager.get('bf_rb/t/baobab/baobab_5');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y - 1, block.location.z - 6));
                }
            }
            if (blockTypeId.includes("coconut")) {
                let randomNum = Math.floor(Math.random() * 5);
                if (randomNum == 0) {
                    const structure = world.structureManager.get('bf_rb/t/coconut/coconut_1');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 6, block.location.y, block.location.z - 7));
                }
                if (randomNum == 1) {
                    const structure = world.structureManager.get('bf_rb/t/coconut/coconut_2');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 4, block.location.y, block.location.z - 6));
                }
                if (randomNum == 2) {
                    const structure = world.structureManager.get('bf_rb/t/coconut/coconut_3');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 2, block.location.y, block.location.z - 4));
                }
                if (randomNum == 3) {
                    const structure = world.structureManager.get('bf_rb/t/coconut/coconut_4');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 4, block.location.y, block.location.z - 6));
                }
                if (randomNum == 4) {
                    const structure = world.structureManager.get('bf_rb/t/coconut/coconut_5');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 6));
                }
            }
            if (blockTypeId.includes("ginkgo")) {
                let randomNum = Math.floor(Math.random() * 5);
                if (randomNum == 0) {
                    const structure = world.structureManager.get('bf_rb/t/ginkgo/ginkgo_1');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 7, block.location.y, block.location.z - 6));
                }
                if (randomNum == 1) {
                    const structure = world.structureManager.get('bf_rb/t/ginkgo/ginkgo_2');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 6, block.location.y, block.location.z - 5));
                }
                if (randomNum == 2) {
                    const structure = world.structureManager.get('bf_rb/t/ginkgo/ginkgo_3');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 6, block.location.y, block.location.z - 6));
                }
                if (randomNum == 3) {
                    const structure = world.structureManager.get('bf_rb/t/ginkgo/ginkgo_4');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 7, block.location.y, block.location.z - 6));
                }
                if (randomNum == 4) {
                    const structure = world.structureManager.get('bf_rb/t/ginkgo/ginkgo_5');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 4, block.location.y, block.location.z - 5));
                }
            }
            if (blockTypeId.includes("magnolia")) {
                let randomNum = Math.floor(Math.random() * 6);
                if (randomNum == 0) {
                    const structure = world.structureManager.get('bf_rb/t/magnolia/magnolia_1');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 4, block.location.y, block.location.z - 5));
                }
                if (randomNum == 1) {
                    const structure = world.structureManager.get('bf_rb/t/magnolia/magnolia_2');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 6, block.location.y, block.location.z - 6));
                }
                if (randomNum == 2) {
                    const structure = world.structureManager.get('bf_rb/t/magnolia/magnolia_3');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 6, block.location.y, block.location.z - 6));
                }
                if (randomNum == 3) {
                    const structure = world.structureManager.get('bf_rb/t/magnolia/magnolia_4');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 6, block.location.y, block.location.z - 6));
                }
                if (randomNum == 4) {
                    const structure = world.structureManager.get('bf_rb/t/magnolia/magnolia_5');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 6, block.location.y, block.location.z - 8));
                }
                if (randomNum == 5) {
                    const structure = world.structureManager.get('bf_rb/t/magnolia/magnolia_6');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 6, block.location.y, block.location.z - 7));
                }
            }
            if (blockTypeId.includes("maple")) {
                let randomNum = Math.floor(Math.random() * 5);
                if (randomNum == 0) {
                    const structure = world.structureManager.get('bf_rb/t/maple/maple_1');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 5));
                }
                if (randomNum == 1) {
                    const structure = world.structureManager.get('bf_rb/t/maple/maple_2');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 5));
                }
                if (randomNum == 2) {
                    const structure = world.structureManager.get('bf_rb/t/maple/maple_3');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 6, block.location.y, block.location.z - 5));
                }
                if (randomNum == 3) {
                    const structure = world.structureManager.get('bf_rb/t/maple/maple_4');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 4, block.location.y, block.location.z - 6));
                }
                if (randomNum == 4) {
                    const structure = world.structureManager.get('bf_rb/t/maple/maple_5');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 5));
                }
            }
            if (blockTypeId.includes("orange")) {
                let randomNum = Math.floor(Math.random() * 4);
                if (randomNum == 0) {
                    const structure = world.structureManager.get('bf_rb/t/orange/orange_1');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 4, block.location.y, block.location.z - 5));
                }
                if (randomNum == 1) {
                    const structure = world.structureManager.get('bf_rb/t/orange/orange_2');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 4, block.location.y, block.location.z - 5));
                }
                if (randomNum == 2) {
                    const structure = world.structureManager.get('bf_rb/t/orange/orange_3');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 4));
                }
                if (randomNum == 3) {
                    const structure = world.structureManager.get('bf_rb/t/orange/orange_4');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 4, block.location.y, block.location.z - 4));
                }
            }
            if (blockTypeId.includes("pine")) {
                let randomNum = Math.floor(Math.random() * 6);
                if (randomNum == 0) {
                    const structure = world.structureManager.get('bf_rb/t/pine/pine_1');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 4, block.location.y, block.location.z - 4));
                }
                if (randomNum == 1) {
                    const structure = world.structureManager.get('bf_rb/t/pine/pine_2');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 4));
                }
                if (randomNum == 2) {
                    const structure = world.structureManager.get('bf_rb/t/pine/pine_3');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 4));
                }
                if (randomNum == 3) {
                    const structure = world.structureManager.get('bf_rb/t/pine/pine_4');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 5));
                }
                if (randomNum == 4) {
                    const structure = world.structureManager.get('bf_rb/t/pine/pine_5');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 5));
                }
                if (randomNum == 5) {
                    const structure = world.structureManager.get('bf_rb/t/pine/pine_6');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 5));
                }
            }
            if (blockTypeId.includes("redwood")) {
                let randomNum = Math.floor(Math.random() * 5);
                if (randomNum == 0) {
                    const structure = world.structureManager.get('bf_rb/t/redwood/redwood_1');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 4, block.location.y, block.location.z - 5));
                }
                if (randomNum == 1) {
                    const structure = world.structureManager.get('bf_rb/t/redwood/redwood_2');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 5));
                }
                if (randomNum == 2) {
                    const structure = world.structureManager.get('bf_rb/t/redwood/redwood_3');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 5));
                }
                if (randomNum == 3) {
                    const structure = world.structureManager.get('bf_rb/t/redwood/redwood_4');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 4));
                }
                if (randomNum == 4) {
                    const structure = world.structureManager.get('bf_rb/t/redwood/redwood_5');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 5));
                }
            }
            if (blockTypeId.includes("willow")) {
                let randomNum = Math.floor(Math.random() * 5);
                if (randomNum == 0) {
                    const structure = world.structureManager.get('bf_rb/t/willow/willow_1');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 6, block.location.y, block.location.z - 5));
                }
                if (randomNum == 1) {
                    const structure = world.structureManager.get('bf_rb/t/willow/willow_2');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 6, block.location.y, block.location.z - 6));
                }
                if (randomNum == 2) {
                    const structure = world.structureManager.get('bf_rb/t/willow/willow_3');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 6, block.location.y, block.location.z - 7));
                }
                if (randomNum == 3) {
                    const structure = world.structureManager.get('bf_rb/t/willow/willow_4');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 6));
                }
                if (randomNum == 4) {
                    const structure = world.structureManager.get('bf_rb/t/willow/willow_5');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 6, block.location.y, block.location.z - 8));
                }
            }
            if (blockTypeId.includes("wisteria")) {
                let randomNum = Math.floor(Math.random() * 4);
                if (randomNum == 0) {
                    const structure = world.structureManager.get('bf_rb/t/wisteria/wisteria_1');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 5));
                }
                if (randomNum == 1) {
                    const structure = world.structureManager.get('bf_rb/t/wisteria/wisteria_2');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 6));
                }
                if (randomNum == 2) {
                    const structure = world.structureManager.get('bf_rb/t/wisteria/wisteria_3');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 6));
                }
                if (randomNum == 3) {
                    const structure = world.structureManager.get('bf_rb/t/wisteria/wisteria_4');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 5));
                }
            }
            if (blockTypeId.includes("black_bamboo")) {
                let randomNum = Math.floor(Math.random() * 11);
                if (randomNum == 0) {
                    const structure = world.structureManager.get('bf_rb/t/black_bamboo/black_bamboo_h6');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x, block.location.y, block.location.z));
                }
                if (randomNum == 1) {
                    const structure = world.structureManager.get('bf_rb/t/black_bamboo/black_bamboo_h7');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x, block.location.y, block.location.z));
                }
                if (randomNum == 2) {
                    const structure = world.structureManager.get('bf_rb/t/black_bamboo/black_bamboo_h8');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x, block.location.y, block.location.z));
                }
                if (randomNum == 3) {
                    const structure = world.structureManager.get('bf_rb/t/black_bamboo/black_bamboo_h9');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x, block.location.y, block.location.z));
                }
                if (randomNum == 4) {
                    const structure = world.structureManager.get('bf_rb/t/black_bamboo/black_bamboo_h10');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x, block.location.y, block.location.z));
                }
                if (randomNum == 5) {
                    const structure = world.structureManager.get('bf_rb/t/black_bamboo/black_bamboo_h11');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x, block.location.y, block.location.z));
                }
                if (randomNum == 6) {
                    const structure = world.structureManager.get('bf_rb/t/black_bamboo/black_bamboo_h12');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x, block.location.y, block.location.z));
                }
                if (randomNum == 7) {
                    const structure = world.structureManager.get('bf_rb/t/black_bamboo/black_bamboo_h13');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x, block.location.y, block.location.z));
                }
                if (randomNum == 8) {
                    const structure = world.structureManager.get('bf_rb/t/black_bamboo/black_bamboo_h14');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x, block.location.y, block.location.z));
                }
                if (randomNum == 9) {
                    const structure = world.structureManager.get('bf_rb/t/black_bamboo/black_bamboo_h15');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x, block.location.y, block.location.z));
                }
                if (randomNum == 10) {
                    const structure = world.structureManager.get('bf_rb/t/black_bamboo/black_bamboo_h16');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x, block.location.y, block.location.z));
                }
            }
            if (blockTypeId.includes("purple_end")) {
                let randomNum = Math.floor(Math.random() * 5);
                if (randomNum == 0) {
                    const structure = world.structureManager.get('bf_rb/t/purple_end/purple_end_1');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 2));
                }
                if (randomNum == 1) {
                    const structure = world.structureManager.get('bf_rb/t/purple_end/purple_end_2');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 6, block.location.y, block.location.z - 3));
                }
                if (randomNum == 2) {
                    const structure = world.structureManager.get('bf_rb/t/purple_end/purple_end_3');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 6, block.location.y, block.location.z - 8));
                }
                if (randomNum == 3) {
                    const structure = world.structureManager.get('bf_rb/t/purple_end/purple_end_4');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 8, block.location.y, block.location.z - 6));
                }
                if (randomNum == 4) {
                    const structure = world.structureManager.get('bf_rb/t/purple_end/purple_end_5');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 13, block.location.y, block.location.z - 2));
                }
            }
            if (blockTypeId.includes("yellow_end")) {
                let randomNum = Math.floor(Math.random() * 4);
                if (randomNum == 0) {
                    const structure = world.structureManager.get('bf_rb/t/yellow_end/yellow_end_1');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 11, block.location.y, block.location.z - 5));
                }
                if (randomNum == 1) {
                    const structure = world.structureManager.get('bf_rb/t/yellow_end/yellow_end_2');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 6, block.location.y, block.location.z - 4));
                }
                if (randomNum == 2) {
                    const structure = world.structureManager.get('bf_rb/t/yellow_end/yellow_end_3');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 6, block.location.y, block.location.z - 3));
                }
                if (randomNum == 3) {
                    const structure = world.structureManager.get('bf_rb/t/yellow_end/yellow_end_4');
                    if (!structure)
                        throw Error('Structure not found');
                    world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 6, block.location.y, block.location.z - 2));
                }
            }
        }
    }
}
OnTickGrowComponent.id = 'bf_rb:on_tick_grow';
export class OnTickGrowVanillaComponent {
    constructor() {
        this.onTick = this.onTick.bind(this);
    }
    onTick(event) {
        const { block } = event;
        const blockTypeId = block.typeId;
        if (blockTypeId.includes("acacia")) {
            let randomNum = Math.floor(Math.random() * 2);
            if (randomNum == 0) {
                const structure = world.structureManager.get('bf_rb/t/acacia/acacia_1');
                if (!structure)
                    throw Error('Structure not found');
                world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 6));
            }
            if (randomNum == 1) {
                const structure = world.structureManager.get('bf_rb/t/acacia/acacia_2');
                if (!structure)
                    throw Error('Structure not found');
                world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 7, block.location.y, block.location.z - 6));
            }
        }
        if (blockTypeId.includes("birch")) {
            let randomNum = Math.floor(Math.random() * 2);
            if (randomNum == 0) {
                const structure = world.structureManager.get('bf_rb/t/birch/birch_1');
                if (!structure)
                    throw Error('Structure not found');
                world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 4, block.location.y, block.location.z - 4));
            }
            if (randomNum == 1) {
                const structure = world.structureManager.get('bf_rb/t/birch/birch_2');
                if (!structure)
                    throw Error('Structure not found');
                world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 4, block.location.y, block.location.z - 4));
            }
        }
        if (blockTypeId.includes("cherry")) {
            let randomNum = Math.floor(Math.random() * 2);
            if (randomNum == 0) {
                const structure = world.structureManager.get('bf_rb/t/cherry/cherry_1');
                if (!structure)
                    throw Error('Structure not found');
                world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 4, block.location.y, block.location.z - 4));
            }
            if (randomNum == 1) {
                const structure = world.structureManager.get('bf_rb/t/cherry/cherry_2');
                if (!structure)
                    throw Error('Structure not found');
                world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 5));
            }
        }
        if (blockTypeId.includes("dark_oak")) {
            let randomNum = Math.floor(Math.random() * 2);
            if (randomNum == 0) {
                const structure = world.structureManager.get('bf_rb/t/dark_oak/dark_oak_1');
                if (!structure)
                    throw Error('Structure not found');
                world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 5));
            }
            if (randomNum == 1) {
                const structure = world.structureManager.get('bf_rb/t/dark_oak/dark_oak_2');
                if (!structure)
                    throw Error('Structure not found');
                world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 5));
            }
        }
        if (blockTypeId.includes("jungle")) {
            let randomNum = Math.floor(Math.random() * 2);
            if (randomNum == 0) {
                const structure = world.structureManager.get('bf_rb/t/jungle/jungle_1');
                if (!structure)
                    throw Error('Structure not found');
                world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 6));
            }
            if (randomNum == 1) {
                const structure = world.structureManager.get('bf_rb/t/jungle/jungle_2');
                if (!structure)
                    throw Error('Structure not found');
                world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 6, block.location.y, block.location.z - 7));
            }
        }
        if (blockTypeId.includes("oak") && !blockTypeId.includes("dark_oak")) {
            let randomNum = Math.floor(Math.random() * 2);
            if (randomNum == 0) {
                const structure = world.structureManager.get('bf_rb/t/oak/oak_1');
                if (!structure)
                    throw Error('Structure not found');
                world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 5));
            }
            if (randomNum == 1) {
                const structure = world.structureManager.get('bf_rb/t/oak/oak_2');
                if (!structure)
                    throw Error('Structure not found');
                world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 4));
            }
        }
        if (blockTypeId.includes("spruce")) {
            let randomNum = Math.floor(Math.random() * 2);
            if (randomNum == 0) {
                const structure = world.structureManager.get('bf_rb/t/spruce/spruce_1');
                if (!structure)
                    throw Error('Structure not found');
                world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 5, block.location.y, block.location.z - 4));
            }
            if (randomNum == 1) {
                const structure = world.structureManager.get('bf_rb/t/spruce/spruce_2');
                if (!structure)
                    throw Error('Structure not found');
                world.structureManager.place(structure, block.dimension, new Vector3(block.location.x - 3, block.location.y, block.location.z - 4));
            }
        }
    }
}
OnTickGrowVanillaComponent.id = 'bf_rb:on_tick_grow_vanilla';
export class OnTickGrowBerryComponent {
    constructor() {
        this.onTick = this.onTick.bind(this);
    }
    onTick(event) {
        const { block } = event;
        if (system.currentTick % 12000 <= 5) {
            const blockTypeId = block.typeId;
            if (blockTypeId.includes("stage2")) {
                block.setPermutation(BlockPermutation.resolve(`bf_rb:${block.permutation.type.id.split(":")[1].split("_")[0]}_stage3`));
            }
            if (blockTypeId.includes("stage1")) {
                block.setPermutation(BlockPermutation.resolve(`bf_rb:${block.permutation.type.id.split(":")[1].split("_")[0]}_stage2`));
            }
            if (blockTypeId.includes("stage0")) {
                block.setPermutation(BlockPermutation.resolve(`bf_rb:${block.permutation.type.id.split(":")[1].split("_")[0]}_stage1`));
            }
        }
    }
}
OnTickGrowBerryComponent.id = 'bf_rb:on_tick_grow_berry';
