import { world } from "@minecraft/server";
import { SoundDefinition } from "../global";
export class TrapdoorComponent {
    constructor() {
        this.onPlace = this.onPlace.bind(this);
        this.onPlayerInteract = this.onPlayerInteract.bind(this);
    }
    onPlace(event) {
        const { block } = event;
        block.setPermutation(block.permutation.withState('bf:placed_bit', true));
    }
    onPlayerInteract(event) {
        const { block } = event;
        const openBit = block.permutation.getState('bf:open_bit');
        let soundId = SoundDefinition.TrapdoorOpen;
        if (openBit)
            soundId = SoundDefinition.TrapdoorClose;
        block.setPermutation(block.permutation.withState('bf:open_bit', !openBit));
        world.playSound(soundId, block.location);
    }
}
TrapdoorComponent.id = 'bf_rb:trapdoor';
