import { world, system } from '@minecraft/server';
function getSurfacePositionLimited(x, z, y) {
    let maxHeight = y + 10;
    let surfaceBlockFound = false;
    let surfaceY = 0;
    for (let y = maxHeight; y >= 61; y--) {
        let block = world.getDimension("minecraft:overworld").getBlock({ x: x, y: y, z: z });
        if (block?.typeId == "bf_rb:sandy_mud" ||
            block?.typeId == "bf_rb:redwood_podzol" ||
            block?.typeId == "bf_rb:yellow_grass" ||
            block?.typeId == "bf_rb:wisteria_grass" ||
            block?.typeId == "bf_rb:red_grass" ||
            block?.typeId == "bf_rb:pine_grass" ||
            block?.typeId == "bf_rb:magnolia_grass" ||
            block?.typeId == "bf_rb:dry_soil" ||
            block?.typeId == "bf_rb:snowy_pine_grass" ||
            block?.typeId == "bf_rb:purple_growth_end_stone" ||
            block?.typeId == "bf_rb:yellow_growth_end_stone" ||
            block?.typeId == "minecraft:grass" ||
            block?.typeId == "minecraft:dirt" ||
            block?.typeId == "minecraft:sand" ||
            block?.typeId == "minecraft:mycelium" ||
            block?.typeId == "minecraft:podzol" ||
            block?.typeId == "minecraft:coarse_dirt" ||
            block?.typeId == "minecraft:gravel" ||
            block?.typeId == "minecraft:end_stone") {
            surfaceBlockFound = true;
            surfaceY = y + 1;
            break;
        }
    }
    return surfaceBlockFound ? surfaceY : 0;
}
export function growPlants(event) {
    const blockID = event.block.typeId;
    let blockLocX = event.block.location.x;
    let blockLocY = event.block.location.y;
    let blockLocZ = event.block.location.z;
    const instance = system.run(() => {
        event.player.runCommand(`playsound item.bone_meal.use @a[x=${blockLocX},y=${blockLocY},z=${blockLocZ},r=5] ${blockLocX} ${blockLocY} ${blockLocZ} 0.90 1.00 1.00`);
        event.player.runCommand(`clear @s bone_meal 0 1`);
        for (let i = blockLocX - 3; i <= blockLocX + 3; i++) {
            for (let j = blockLocZ - 3; j <= blockLocZ + 3; j++) {
                let surfaceY = getSurfacePositionLimited(i, j, blockLocY);
                if (surfaceY > 61) {
                    switch (blockID) {
                        case "bf_rb:sandy_mud":
                            randomSandyMudPlant(i, surfaceY, j, event);
                            break;
                        case "bf_rb:redwood_podzol":
                            randomRedwoodPodzolPlant(i, surfaceY, j, event);
                            break;
                        case "bf_rb:yellow_grass":
                            randomYellowGrassPlant(i, surfaceY, j, event);
                            break;
                        case "bf_rb:wisteria_grass":
                            randomWisteriaGrassPlant(i, surfaceY, j, event);
                            break;
                        case "bf_rb:red_grass":
                            randomRedGrassPlant(i, surfaceY, j, event);
                            break;
                        case "bf_rb:pine_grass":
                            randomPineGrassPlant(i, surfaceY, j, event);
                            break;
                        case "bf_rb:magnolia_grass":
                            randomMagnoliaGrassPlant(i, surfaceY, j, event);
                            break;
                        case "bf_rb:dry_soil":
                            randomDrySoilPlant(i, surfaceY, j, event);
                            break;
                        case "bf_rb:snowy_pine_grass":
                            randomSnowyPineGrassPlant(i, surfaceY, j, event);
                            break;
                        case "bf_rb:purple_growth_end_stone":
                            randomPurpleGrowthEndStonePlant(i, surfaceY, j, event);
                            break;
                        case "bf_rb:yellow_growth_end_stone":
                            randomYellowGrowthEndStonePlant(i, surfaceY, j, event);
                            break;
                    }
                }
            }
        }
        system.clearRun(instance);
    });
}
function randomSandyMudPlant(x, y, z, event) {
    let random = Math.floor(Math.random() * 31);
    if (random == 0) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:blue_hydrangeas replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 1) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:fallen_willow_leaves replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 2) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 3) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:kniphofia replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 4) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:clover replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 5) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 6) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:milk_cup replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 7) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:vampire_bite replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 8) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 9) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:orange_hydrangeas replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 10) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:pink_hydrangeas replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 11) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 12) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:red_shrooms replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 13) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:asparagus_fern replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 14) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 15) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:brown_mushroom_colony replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 16) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:red_mushroom_colony replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 17) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 18) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:fallen_willow_branch replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 19) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:prickly_fern replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 20) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 21) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:dumbcane replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 22) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:fiddle_plant replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 23) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 24) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:helonias replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 25) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:blue_flowers replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 26) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 27) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:lupine replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 28) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:sedge_grass replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 29) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 30) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:brown_shrooms replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
}
function randomRedwoodPodzolPlant(x, y, z, event) {
    let random = Math.floor(Math.random() * 10);
    if (random == 0) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:brown_mushroom_colony replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 1) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:red_mushroom_colony replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 2) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 3) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:tall_redwood_grass replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 4) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:short_redwood_grass replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 5) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 6) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:fiddle_plant replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 7) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:short_prickly_fern replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 8) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 9) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:milk_cup replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
}
function randomYellowGrassPlant(x, y, z, event) {
    let random = Math.floor(Math.random() * 19);
    if (random == 0) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:clover replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 1) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:asparagus_fern replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 2) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 3) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:dumbcane replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 4) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:lupine replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 5) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 6) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:monstera replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 7) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:wild_white_rose replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 8) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 9) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:wild_yellow_rose replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 10) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:dead_grass replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 11) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 12) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:tall_prickly_fern replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 13) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:autumn_bush replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 14) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 15) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:yellow_bush replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 16) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:tall_dead_grass replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 17) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 18) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:yellow_cone replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
}
function randomWisteriaGrassPlant(x, y, z, event) {
    let random = Math.floor(Math.random() * 11);
    if (random == 0) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:fairy_sprouts replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 1) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:fluorite_grass replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 2) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 3) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:wonderflower replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 4) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:short_wisteria_grass replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 5) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 6) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:tall_wisteria_grass replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 7) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:red_mushroom_colony replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 8) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 9) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:fallen_wisteria_leaves replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 10) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:fallen_wisteria_branch replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
}
function randomRedGrassPlant(x, y, z, event) {
    let random = Math.floor(Math.random() * 16);
    if (random == 0) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:daisy replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 1) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:fallen_maple_leaves replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 2) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 3) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:yellow_bush replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 4) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:red_wild_rose replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 5) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 6) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:autumn_bush replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 7) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:tall_maple_grass replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 8) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 9) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:short_maple_grass replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 10) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:wild_white_rose replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 11) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 12) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:yellow_cone replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 13) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:autumn_sprouts replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 14) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 15) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:sickle_plant replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
}
function randomPineGrassPlant(x, y, z, event) {
    let random = Math.floor(Math.random() * 16);
    if (random == 0) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:wild_white_rose replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 1) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:pine_reed replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 2) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 3) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:brown_mushroom_colony replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 4) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:red_mushroom_colony replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 5) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 6) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:short_prickly_fern replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 7) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:tall_prickly_fern replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 8) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 9) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:blue_iris replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 10) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:prickly_fern replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 11) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 12) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:vampire_bite replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 13) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:tall_pine_sprout replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 14) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 15) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:clover replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
}
function randomMagnoliaGrassPlant(x, y, z, event) {
    let random = Math.floor(Math.random() * 19);
    if (random == 0) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:purple_hydrangeas replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 1) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:pink_hydrangeas replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 2) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 3) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:orange_hydrangeas replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 4) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:wild_white_rose replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 5) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 6) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:wild_pink_rose replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 7) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:wild_yellow_rose replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 8) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 9) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:wild_blue_rose replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 10) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:flowering_short_grass replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 11) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 12) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:daisy replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 13) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:white_flowers replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 14) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 15) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:clover replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 16) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:white_rose replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 17) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 18) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:tall_magnolia_grass replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
}
function randomDrySoilPlant(x, y, z, event) {
    let random = Math.floor(Math.random() * 13);
    if (random == 0) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:tall_prickly_fern replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 1) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:short_prickly_fern replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 2) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 3) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:fallen_baobab_leaves replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 4) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:dead_grass replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 5) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 6) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:tall_dead_grass replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 7) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:daisy replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 8) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 9) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:tumbleweed replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 10) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:flowering_urchin_cactus replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 11) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 12) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:prickly_cactus replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
}
function randomSnowyPineGrassPlant(x, y, z, event) {
    let random = Math.floor(Math.random() * 11);
    if (random == 0) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:wild_white_rose replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 1) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:icy_grass replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 2) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 3) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:tall_snowy_grass replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 4) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:brown_mushroom_colony replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 5) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 6) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:red_mushroom_colony replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 7) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:wild_blue_rose replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 8) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 9) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:tall_pine_sprout replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 10) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:fallen_pine_leaves replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
}
function randomPurpleGrowthEndStonePlant(x, y, z, event) {
    let random = Math.floor(Math.random() * 13);
    if (random == 0) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:purple_end_brake replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 1) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:purple_end_grass replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 2) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 3) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:purple_end_canna replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 4) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:purple_end_dracaena replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 5) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 6) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:purple_end_vine replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 7) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:purple_glistening_end_vine replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 8) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 9) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:purple_glowing_end_vine replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 10) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:purple_end_shroom replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 11) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 12) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:purple_end_strelitzia replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
}
function randomYellowGrowthEndStonePlant(x, y, z, event) {
    let random = Math.floor(Math.random() * 17);
    if (random == 0) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:yellow_glowing_end_vine replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 1) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:yellow_small_end_vine replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 2) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 3) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:yellow_glistening_end_vine replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 4) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:yellow_luminescent_plant replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 5) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 6) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:yellow_end_vine replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 7) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:yellow_end_shrooms replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 8) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 9) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:yellow_end_mushroom replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 10) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:yellow_end_grass replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 11) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 12) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:yellow_end_glowspike replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 13) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:yellow_end_glow_plant replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 14) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} air replace air `);
    }
    if (random == 15) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:yellow_end_bolb_plant replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
    if (random == 16) {
        event.player.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} bf_rb:yellow_endeye_plant replace air `);
        event.player.runCommand(`particle minecraft:crop_growth_emitter ${x} ${y + 0.5} ${z}`);
    }
}
